View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Oauth 2.0 authentication
In: header
Scope: https://uri.paypal.com/services/disputes/update-seller
TypeScript Definitions
Use the request body type in TypeScript.
offer_amountobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredreturn_shipping_addressobject<address_portable>OptionalDeprecatedMERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED dispute reason, especially if the refund amount is less than the dispute amount.admin_area_3stringOptionaladmin_area_1stringOptionalcountry_codestring<country_code>RequiredNote: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use the `C2` country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
address_detailsobject<address_details>Optionalreturn_shipping_address_infoobject<return_shipping_address_info>Optionaladdressobject<address_portable>OptionalMERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED dispute reason, especially if the refund amount is less than the dispute amount.admin_area_3stringOptionaladmin_area_1stringOptionalcountry_codestring<country_code>RequiredNote: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use the `C2` country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
address_detailsobject<address_details>Optionaloffer_typeenum<offer_type>Requiredoffer_amount but omit the return_shipping_address parameters from the make offer request.return_shipping_address parameter and the offer_amount parameter in the make offer request.offer_amount parameter in the make offer request.offer_amount parameter from the make offer request.application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customer/disputes/string/make-offer" \ -H "Content-Type: string" \ -H "Content-Type: application/json" \ -d '{ "note": "string", "offer_type": "REFUND" }'{ "links": [ { "href": "string", "rel": "string", "method": "GET", "title": "string", "mediaType": "string", "encType": "application/json", "schema": { "additionalItems": {}, "dependencies": {}, "items": {}, "patternProperties": {}, "properties": {}, "allOf": [ {} ], "anyOf": [ {} ], "oneOf": [ {} ], "not": {}, "links": [ {} ], "fragmentResolution": "string", "media": { "type": "string", "binaryEncoding": "string" }, "pathStart": "http://example.com" }, "targetSchema": { "additionalItems": {}, "dependencies": {}, "items": {}, "patternProperties": {}, "properties": {}, "allOf": [ {} ], "anyOf": [ {} ], "oneOf": [ {} ], "not": {}, "links": [ {} ], "fragmentResolution": "string", "media": { "type": "string", "binaryEncoding": "string" }, "pathStart": "http://example.com" } } ]}